Page MenuHomePhabricator

iDEAL form doesn't display red error borders or text
Closed, ResolvedPublic2 Story Points

Description

Steps to reproduce:

  • Visit the rtbt-ideal-noadd form.
  • Omit name fields, or enter something in the email field without a dot in the domain name.
  • Try to submit.

Nothing happens. The errorHighlight class was set on the invalid fields, but mysteriously doesn't change the field's appearance. The error messages don't appear.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : deploymentBring iDEAL forms more in line with our newer RapidHtml forms
mediawiki/extensions/DonationInterface : masterBring iDEAL forms more in line with our newer RapidHtml forms

Event Timeline

awight created this task.Apr 6 2016, 8:05 AM
DStrine set the point value for this task to 2.Apr 6 2016, 5:46 PM
awight claimed this task.Apr 6 2016, 5:57 PM
awight moved this task from Backlog to Doing on the Fundraising Sprint Ghostbusting board.

Change 281974 had a related patch set uploaded (by Awight):
[WIP] Bring iDEAL forms more in line with our newer RapidHtml forms

https://gerrit.wikimedia.org/r/281974

Change 281974 merged by jenkins-bot:
Bring iDEAL forms more in line with our newer RapidHtml forms

https://gerrit.wikimedia.org/r/281974

Change 282062 had a related patch set uploaded (by Awight):
Bring iDEAL forms more in line with our newer RapidHtml forms

https://gerrit.wikimedia.org/r/282062

Change 282062 merged by jenkins-bot:
Bring iDEAL forms more in line with our newer RapidHtml forms

https://gerrit.wikimedia.org/r/282062

awight closed this task as Resolved.Apr 7 2016, 9:53 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:54 PM